Get embed cover image
GET
https://octopus.livepush.io/streams/{stream_id}/embed/assets/cover_img
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Returns the cover image currently attached to the stream embed.
Read-only: this is the one embed route guarded by CanReadStreams rather than CanWriteStreams. The dashboard does not call it.
Requires a token with write access to the stream (CanWriteStreams).
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
GET
https://octopus.livepush.io/streams/{stream_id}/embed/assets/cover_img
— This call only reads data.
Parameters
Path parameters
-
stream_idstring requiredUnique identifier of the stream.example: st_xxxxxxxxxxxxx
Code samples
curl -X GET 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/assets/cover_img' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/assets/cover_img', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
}
response = requests.get('https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/assets/cover_img', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Setting applied.
-
successboolean
{
"success": true
}
No response body.
No response body.